org.apache.commons.jexl.util.introspection

## Class ClassMap

- java.lang.Object
- - org.apache.commons.jexl.util.introspection.ClassMap

    public class ClassMap
    extends java.lang.Object

Taken from the Velocity tree so we can be self-sufficient A cache of introspection information for a specific class instance. Keys `Method` objects by a concatenation of the method name and the names of classes that make up the parameters.

Since:
  1.0
Version:
  $Id: ClassMap.java 584046 2007-10-12 05:14:37Z proyal $
Author:
  Jason van Zyl, Bob McWhirter, Attila Szegedi, Geir Magnusson Jr., Henning P. Schmiedehausen

### Constructor Summary

Constructors
Constructor and Description
`ClassMap(java.lang.Class aClass, org.apache.commons.logging.Log rlog)` Standard constructor.

### Method Summary

Methods
`java.lang.reflect.Method` `findMethod(java.lang.String name, java.lang.Object[] params)` Find a Method using the method name and parameter objects.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassMap

    public ClassMap(java.lang.Class aClass,
            org.apache.commons.logging.Log rlog)

Standard constructor.

Parameters:
  `aClass` - the class to deconstruct.

### Method Detail

#### findMethod

    public java.lang.reflect.Method findMethod(java.lang.String name,
                                      java.lang.Object[] params)
                                        throws MethodMap.AmbiguousException

Find a Method using the method name and parameter objects.

Parameters:
  `name` - The method name to look up.
  `params` - An array of parameters for the method.
Returns:
  A Method object representing the method to invoke or null.
Throws:
  `MethodMap.AmbiguousException` - When more than one method is a match for the parameters.